curl --request GET \
--url https://api.sandbox.cheqpay.mx/pos/v2/payment-orders \
--header 'x-api-key: <api-key>' \
--header 'x-merchant-id: <api-key>'import requests
url = "https://api.sandbox.cheqpay.mx/pos/v2/payment-orders"
headers = {
"x-api-key": "<api-key>",
"x-merchant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-merchant-id': '<api-key>'}
};
fetch('https://api.sandbox.cheqpay.mx/pos/v2/payment-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "856b4a29-a7e5-4726-87d4-77e55d5ecfbf",
"externalId": "ORDER-123",
"refundedAmount": 0,
"amount": 100.5,
"currency": "USD",
"status": "PENDING",
"payments": [
{
"id": "856b4a29-a7e5-4726-87d4-77e55d5ecfbf",
"status": "PENDING_CAPTURE",
"paymentMethodType": "SPEI",
"amount": "200.99",
"refundedAmount": "0.00",
"currency": "USD",
"paymentMethodId": "<string>",
"lastFailedEventReason": "Insufficient funds",
"lastFailedEventAt": "2025-05-19T18:14:32.424Z",
"createdAt": "2025-05-19T18:14:32.424Z",
"updatedAt": "2025-05-19T18:14:32.523Z",
"billingFirstName": "<string>",
"billingLastName": "<string>",
"billingPhoneNumber": "<string>",
"billingEmail": "jsmith@example.com",
"billingAddressLine1": "<string>",
"billingAddressLine2": "<string>",
"billingCity": "<string>",
"billingState": "<string>",
"billingPostalCode": "<string>",
"billingCountry": "<string>",
"paymentEvents": [
{
"id": "evt-123",
"action": "AUTHORIZATION",
"status": "SUCCESS",
"createdAt": "2025-05-19T18:14:32.424Z",
"amount": "100.50",
"currency": "USD",
"reason": null
}
]
}
],
"subtotalAmount": 100000,
"surchargeAmount": 5000,
"surchargeRate": 5,
"amountPaid": 50000,
"amountPending": 55000,
"allowPartials": false,
"invoiceType": "PUE",
"invoiceStatus": "INVOICED",
"fiscalUuid": "b1c2d3e4-f5g6-h7i8-j9k0-l1m2n3o4p5q6",
"complements": [
{
"id": "9c8b7a6d-5e4f-3c2b-1a0f-9e8d7c6b5a4d",
"paymentId": "a0b0c9d4-6ce9-40e4-873a-e234c1d93639",
"amount": 25000,
"status": "EMITTED",
"paymentEventId": "20912eee-6047-40c7-97b4-48501bb36ef4",
"fiscalUuid": "b1c2d3e4-f5g6-h7i8-j9k0-l1m2n3o4p5q6",
"fiscalInvoiceId": "6a710705bd1842a3122c70ff",
"pdfKey": "invoices/mch_test_001/order-uuid/rep-payment-uuid.pdf",
"emittedAt": "2026-08-06T05:37:35.760Z",
"createdAt": "2026-08-06T05:37:30.100Z"
}
],
"creditNotes": [
{
"id": "9c8b7a6d-5e4f-3c2b-1a0f-9e8d7c6b5a4d",
"paymentId": "a0b0c9d4-6ce9-40e4-873a-e234c1d93639",
"amount": 25000,
"status": "EMITTED",
"paymentEventId": "20912eee-6047-40c7-97b4-48501bb36ef4",
"fiscalUuid": "b1c2d3e4-f5g6-h7i8-j9k0-l1m2n3o4p5q6",
"fiscalInvoiceId": "6a710705bd1842a3122c70ff",
"pdfKey": "invoices/mch_test_001/order-uuid/rep-payment-uuid.pdf",
"emittedAt": "2026-08-06T05:37:35.760Z",
"createdAt": "2026-08-06T05:37:30.100Z"
}
],
"invoiceSummary": {
"capturedCount": 4,
"emittedRepCount": 3,
"pendingRepCount": 0,
"failedRepCount": 1,
"refundEventCount": 1,
"emittedCreditNoteCount": 1,
"pendingCreditNoteCount": 0,
"failedCreditNoteCount": 0,
"isFullyStamped": false
},
"orderNumber": "C25123101",
"invoiceNumber": "INV-2026-001",
"description": "Payment for order #123",
"metadata": {
"orderId": "ORD-123",
"source": "web"
},
"billingAddressLine": "123 Main St",
"billingCity": "New York",
"billingState": "NY",
"billingPostalCode": "10001",
"billingCountry": "US",
"customer": {
"externalId": "CUST-123",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"active": true,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
},
"dueDate": "2026-04-15T00:00:00.000Z",
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z",
"paymentMethod": {
"id": "856b4a29-a7e5-4726-87d4-77e55d5ecfbf",
"type": "CARD",
"cardDetails": {
"id": "<string>",
"type": "CREDIT",
"bin": "411111",
"last4": "1111",
"brand": "VISA",
"country": "US",
"issuerBank": "CHASE",
"expMonth": 12,
"expYear": 2025,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"speiDetails": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clabe": "123456789012345678",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"cieDetails": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "CIE0000000001",
"convenio": "0123456789",
"clabe": "012345678901234567",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"count": 123,
"totalPages": 123
}
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"message": "Required"
}
]
}{
"message": "Invalid api key"
}{
"message": "Error message"
}List all payment orders
Retrieves a list of all payment orders for the specified merchant. Supports filtering by customer, status, date range, and search (by customer email, order number, invoice number, or merchant reference). This is an internal endpoint.
Authorizations
API key for authentication (required)
Merchant ID for identifying the merchant (required)
Query Parameters
Customer ID to filter payment orders (optional)
When true and customerId is provided, also includes orders from related customers linked via the sourceId chain. Defaults to false.
true, false When true, only returns orders that are not overdue: due date unset or still in the future. Defaults to false (no due-date restriction).
true, false Payment order status to filter by (optional)
Start date for filtering payment orders by creation date (ISO 8601 format, optional)
End date for filtering payment orders by creation date (ISO 8601 format, optional)
Search term to filter payment orders by customer email, order number, invoice number, or merchant reference (case-insensitive, optional)
Page number
x >= 1Number of orders to return per page (max 100)
1 <= x <= 100Sort field (e.g., createdAt)
createdAt Sort order (ascending or descending)
asc, desc